Subject: [bug#50495] [PATCH 0/4] gnu: Fix some builds with [email-masked].

From: Sarah Morgensen <[email-masked]>
Date: Thu, 9 Sep 2021 17:47:32 -0700

Hello Guix,

These patches fix building four packages with [email-masked].  They still build
successfully with default go (on x86_64) and have a total of 9 dependents,
so should be fine for master.  (Three of them are just fixing tests, and the
keybase patch doesn't actually change code, just a comment that tripped up
Go.)

--
Sarah Morgensen (4):
  gnu: go-github-com-keybase-go-ps: Patch for [email-masked].
  gnu: go-github-com-sevlyar-go-daemon: Fix tests for [email-masked].
  gnu: go-github-com-urfave-cli: Fix tests with [email-masked].
  gnu: go-github-com-urfave-cli-v2: Fix tests with [email-masked].

 gnu/local.mk                                  |  2 +
 gnu/packages/golang.scm                       | 18 +++++++--
 .../go-github-com-urfave-cli-fix-tests.patch  | 28 ++++++++++++++
 ...o-github-com-urfave-cli-v2-fix-tests.patch | 37 +++++++++++++++++++
 4 files changed, 82 insertions(+), 3 deletions(-)
 create mode 100644 gnu/packages/patches/go-github-com-urfave-cli-fix-tests.patch
 create mode 100644 gnu/packages/patches/go-github-com-urfave-cli-v2-fix-tests.patch

base-commit: 370d1cdb61e1b9b5467d2aed4cab89c2a8e2a491
-- 
2.33.0